using SIASUN.Autopilot.Device.BeckHoff;
using System;
using System.Collections.Generic;
using System.Text;

namespace SIASUN.Autopilot.Device
{
    public class OpcFactory
    {
        public static OpcFactory Instance { get; private set; }

        public IOpcHelper opcHelper;
        static OpcFactory()
        {
            Instance = new OpcFactory();
        }

        public void CreateOpcServer(string OpcType)
        {
            if (OpcType.Equals("beckhoff"))
            {
                opcHelper = new BeckhoffOpcHelper();
            }          
        }
    }
}
